From 46c10c35b1cb42b8b2063c567a0f45260aba55b4 Mon Sep 17 00:00:00 2001
From: Ivan Petkov <ivanppetkov@gmail.com>
Date: Mon, 17 Jun 2019 19:36:10 -0700
Subject: [PATCH 1/2] gnu: rust: remove debug-info patch thanks to newer gdb
 version

* gnu/local.mk: (dist_patch_DATA): Delete
%D%/packages/patches/rust-1.30-gdb-llvm.patch
* gnu/packages/rust.scm: (rust-1.30): Delete patch overrides.
(rust-1.31): Delete patch overrides.
---
 gnu/local.mk          |  1 -
 gnu/packages/rust.scm | 11 +----------
 2 files changed, 1 insertion(+), 11 deletions(-)

diff --git a/gnu/local.mk b/gnu/local.mk
index 74d2bafa8d..65c8d98b44 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1256,7 +1256,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/rust-1.25-accept-more-detailed-gdb-lines.patch \
   %D%/packages/patches/rust-bootstrap-stage0-test.patch		\
   %D%/packages/patches/rust-coresimd-doctest.patch		\
-  %D%/packages/patches/rust-1.30-gdb-llvm.patch			\
   %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rxvt-unicode-escape-sequences.patch	\
   %D%/packages/patches/scalapack-blacs-mpi-deprecations.patch	\
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 9c8088b2f7..76a38736ac 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -871,10 +871,7 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
                       (delete-file-recursively "src/llvm-emscripten")
                       (delete-file-recursively "src/tools/clang")
                       (delete-file-recursively "src/tools/lldb")
-                      #t))
-          (patches (map search-patch '("rust-1.25-accept-more-detailed-gdb-lines.patch"
-                                       "rust-1.30-gdb-llvm.patch"
-                                       "rust-reproducible-builds.patch")))))
+                      #t))))
       (inputs
        ;; Use LLVM 7.0
        (alist-replace "llvm" (list llvm)
@@ -918,12 +915,6 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
           "0sk84ff0cklybcp0jbbxcw7lk7mrm6kb6km5nzd6m64dy0igrlli")))
     (package
       (inherit base-rust)
-      (source
-        (origin
-          (inherit (package-source base-rust))
-          (patches (map search-patch '("rust-1.25-accept-more-detailed-gdb-lines.patch"
-                                       "rust-1.30-gdb-llvm.patch"
-                                       "rust-reproducible-builds.patch")))))
       (arguments
        (substitute-keyword-arguments (package-arguments base-rust)
          ((#:phases phases)
-- 
2.22.0

